org.eclipse.wst.jsdt.chromium.debug.core.model

## Class IgnoreCountData

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.IgnoreCountData

    public class IgnoreCountData
    extends java.lang.Object

A structure used to store ignore count parameter. It contains integer 'value' and additional field 'state' (see the enum).

### Nested Class Summary

Nested Classes
`static class` `IgnoreCountData.State` Additional field of the ignore count data.

### Constructor Summary

Constructors
Constructor and Description
`IgnoreCountData(int value, IgnoreCountData.State state)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getEffectiveValue()`
`IgnoreCountData.State` `getState()`
`java.lang.String` `getStringRepresentation()`
`int` `getValue()`
`static IgnoreCountData` `parseString(java.lang.String input)`
`void` `setState(IgnoreCountData.State state)`
`void` `setValue(int value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgnoreCountData

    public IgnoreCountData(int value,
                           IgnoreCountData.State state)

### Method Detail

#### parseString

    public static IgnoreCountData parseString(java.lang.String input)

#### getValue

    public int getValue()

#### setValue

    public void setValue(int value)

#### getEffectiveValue

    public int getEffectiveValue()

#### getState

    public IgnoreCountData.State getState()

#### setState

    public void setState(IgnoreCountData.State state)

#### getStringRepresentation

    public java.lang.String getStringRepresentation()